# Uses of Interface
net.shibboleth.shared.logic.NonnullFunction

Packages that use NonnullFunction
Package
Description
net.shibboleth.shared.spring.service
Spring specific implementations of `ServiceableComponent` and `ReloadableService`.

## Uses of NonnullFunction in net.shibboleth.shared.spring.service

Classes in net.shibboleth.shared.spring.service that implement NonnullFunction
Modifier and Type
Class
Description
`class`
`ApplicationContextServiceStrategy`
Strategy for summoning up an `ApplicationContextServiceableComponent` wrapper around a populated `ApplicationContext`.
`class`
`ClassBasedServiceStrategy<T>`
Strategy to create `AbstractServiceableComponent`s from the `ApplicationContext`.
Fields in net.shibboleth.shared.spring.service declared as NonnullFunction
Modifier and Type
Field
Description
`private final NonnullFunction<ApplicationContext,AbstractServiceableComponent<T>>`
ReloadableSpringService.`serviceStrategy`
How to summon up the `ServiceableComponent` from the `ApplicationContext`.
Constructors in net.shibboleth.shared.spring.service with parameters of type NonnullFunction
Modifier
Constructor
Description
``
`ReloadableSpringService(Class<T> claz, NonnullFunction<ApplicationContext,AbstractServiceableComponent<T>> strategy)`
Constructor.